org.eclipse.emf.cdo.edit

## Class CDOItemProviderAdapter.ReadLockedDescriptor

- java.lang.Object
- - org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.CDOPropertyDescriptor
  - - org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.ReadLockedDescriptor

- All Implemented Interfaces:
    IItemLabelProvider, IItemPropertyDescriptor
  Enclosing class:
    CDOItemProviderAdapter

  Deprecated.
  as of 4.4 not used any more.

      @Deprecated
      public static class CDOItemProviderAdapter.ReadLockedDescriptor
      extends CDOItemProviderAdapter.CDOPropertyDescriptor

  Adds the `read lock` of a `CDOObject` to the Properties view.
  Since:
    2.0
  Author:
    Victor Roldan Betancort

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.CDOPropertyDescriptor

      `CDOItemProviderAdapter.CDOPropertyDescriptor.DefaultLabelProvider`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IItemPropertyDescriptor

      `IItemPropertyDescriptor.OverrideableCommandOwner, IItemPropertyDescriptor.ValueHandler, IItemPropertyDescriptor.ValueHandlerProvider`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.CDOPropertyDescriptor

      `CDO_CATEGORY, FILTER_ID_EXPERT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadLockedDescriptor()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.CDOPropertyDescriptor

      `canSetProperty, getCategory, getChoiceOfValues, getDescription, getDisplayName, getFeature, getFilterFlags, getHelpContextIds, getId, getImage, getLabelProvider, getProperty, getPropertyValue, getText, isCompatibleWith, isMany, isMultiLine, isPropertySet, isSortChoices, resetPropertyValue, setPropertyValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReadLockedDescriptor

          public ReadLockedDescriptor()

      Deprecated.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html